/*
 *  Copyright 2025-2026 R3944Realms
 *
 *    Licensed under the Apache License, Version 2.0 (the "License");
 *    you may not use this file except in compliance with the License.
 *    You may obtain a copy of the License at
 *
 *        http://www.apache.org/licenses/LICENSE-2.0
 *
 *    Unless required by applicable law or agreed to in writing, software
 *    distributed under the License is distributed on an "AS IS" BASIS,
 *    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *    See the License for the specific language governing permissions and
 *    limitations under the License.
 */

package top.r3944realms.eroticdungeongame.content.recipe;

public enum DungeonRecipeCategory {
    MAIN_WOODEN_DEVICES("main_wooden_devices"),
    MAIN_COLORFUL_DEVICE("main_colorful_devices"),
    MIXIN_WOODEN_AND_COLOR_DEVICES("mixin_wooden_and_color_devices"),
    METAL_DEVICES("metal_devices"),
    TOOLS("tools"),
    MISC("misc")
    ;
    private final String recipeFolderName;

    private DungeonRecipeCategory(String recipeFolderName) {
        this.recipeFolderName = recipeFolderName;
    }

    public String getFolderName() {
        return this.recipeFolderName;
    }
}
